Summary:	Access, organize and share your photos on GNOME
Summary(pl.UTF-8):	Dostęp do zdjęć, organizowanie i współdzielenie ich w środowisku GNOME
Name:		gnome-photos
Version:	3.34.0
Release:	1
License:	GPL v3+
Group:		X11/Applications/Graphics
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-photos/3.34/%{name}-%{version}.tar.xz
# Source0-md5:	a6e4431a15f617d26e346209129b313b
URL:		https://wiki.gnome.org/Apps/Photos
BuildRequires:	babl-devel
BuildRequires:	cairo-devel >= 1.14.0
BuildRequires:	cairo-gobject-devel >= 1.14.0
BuildRequires:	dbus-devel
BuildRequires:	gdk-pixbuf2-devel >= 2.36.8
BuildRequires:	gegl-devel >= 0.4.0
BuildRequires:	geocode-glib-devel
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	gexiv2-devel >= 0.10.8
BuildRequires:	gfbgraph-devel >= 0.2.1
BuildRequires:	glib2-devel >= 1:2.57.2
BuildRequires:	gnome-online-accounts-devel >= 3.8.0
BuildRequires:	grilo-devel >= 0.3.5
BuildRequires:	gsettings-desktop-schemas-devel
BuildRequires:	gtk+3-devel >= 3.22.16
BuildRequires:	libdazzle-devel >= 3.26.0
BuildRequires:	libexif-devel >= 0.6.14
BuildRequires:	libgdata-devel >= 0.16.0
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 2:1.6
BuildRequires:	meson >= 0.50.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	tracker-devel >= 2.0
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	glib2 >= 1:2.57.2
Requires:	cairo >= 1.14.0
Requires:	cairo-gobject >= 1.14.0
Requires:	gdk-pixbuf2 >= 2.36.8
Requires:	gegl >= 0.4.0
Requires:	gexiv2 >= 0.10.8
Requires:	gfbgraph >= 0.2.1
Requires:	glib2 >= 1:2.57.2
Requires:	gnome-online-accounts-libs >= 3.8.0
Requires:	grilo >= 0.3.5
Requires:	gsettings-desktop-schemas
Requires:	gtk+3 >= 3.22.16
Requires:	libdazzle >= 3.26.0
Requires:	libgdata >= 0.16.0
Requires:	tracker >= 2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Photos is an application to access, organize and share your photos
with GNOME 3.

%description -l pl.UTF-8
Photos to aplikacja pozwalająca na dostęp do swoich zdjęć,
organizowanie i współdzielenie ich przy użyciu środowiska GNOME 3.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ARTISTS AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/gnome-photos
%attr(755,root,root) %{_libexecdir}/gnome-photos-thumbnailer
%dir %{_libdir}/gnome-photos
%attr(755,root,root) %{_libdir}/gnome-photos/libgnome-photos.so
%{_datadir}/dbus-1/services/org.gnome.Photos.service
%{_datadir}/glib-2.0/schemas/org.gnome.photos.gschema.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.Photos.search-provider.ini
%{_datadir}/metainfo/org.gnome.Photos.appdata.xml
%{_desktopdir}/org.gnome.Photos.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.Photos.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Photos-symbolic.svg
%changelog
* Mon Dec 02 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-photos.git;a=log;h=master

* Sun Dec 01 2019 Jakub Bogusz <qboosh@pld-linux.org> f25b08e
- updated to 3.34.0

* Sun Jan 20 2019 Jaroslaw Kruk <kruk.jaroslaw@gmail.com> cc8c622
- Updated to 3.30.1

* Sun Apr 29 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 57da35b
- rel 2; use gegl 0.4

* Sat Mar 24 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 8547869
- Update to 3.28.0

* Thu Dec 28 2017 Jan Rękorajski <baggins@pld-linux.org> 2653a6b
- release 2 (by relup.sh)

* Mon Dec 25 2017 Marcin Banasiak <marcin.banasiak@gmail.com> ca12899
- Update to 3.26.3

* Sun Nov 26 2017 Jan Rękorajski <baggins@pld-linux.org> 79d1c54
- release 6 (by relup.sh)

* Sun Nov 26 2017 Jan Rękorajski <baggins@pld-linux.org> 5b484ef
- remove unsupported locale
- rel 5

* Sun Nov 26 2017 Jan Rękorajski <baggins@pld-linux.org> a3b135a
- release 4 (by relup.sh)

* Thu Nov 23 2017 Jan Rękorajski <baggins@pld-linux.org> 2083c93
- release 3 (by relup.sh)

* Sun Nov 12 2017 Jan Rękorajski <baggins@pld-linux.org> ca9657e
- release 2 (by relup.sh)

* Sun Nov 05 2017 Marcin Banasiak <marcin.banasiak@gmail.com> eb0feaa
- Update to 3.26.2

* Sun Jul 23 2017 Jakub Bogusz <qboosh@pld-linux.org> ef8600b
- updated to 3.24.2

* Sat Apr 15 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 258cc2d
- Update to 3.24.1

* Thu Mar 23 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 7ebb938
- Update to 3.24.0

* Sat Feb 18 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 4f32e2b
- Update to 3.22.4

* Fri Jan 06 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 3d087de
- Update to 3.22.3

* Mon Sep 19 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 28b19aa
- Update to 3.22.0

* Thu Apr 14 2016 Marcin Banasiak <marcin.banasiak@gmail.com> cc37878
- Update to 3.20.1

* Mon Mar 28 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 9d08e4a
- Update to 3.20.0

